Bug 740399 - RHSA-2011-1065 kernel update (RHBZ#642388 fix) breaks passive ftp connections
Summary: RHSA-2011-1065 kernel update (RHBZ#642388 fix) breaks passive ftp connections
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 21:58 UTC by Othman Madjoudj
Modified: 2015-02-09 16:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-02 13:03:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CentOS 5135 None None None Never

Description Othman Madjoudj 2011-09-21 21:58:19 UTC
Description of problem:

Passive ftp connections are not working after updating to from 5.6 to 5.7 and ip_nat_ftp kernel module is loaded.


Version-Release number of selected component (if applicable):
kernel-2.6.18-274.3.1.el5


Steps to Reproduce:
1. Install vsftpd
2. Add ip_conntrack_ftp and ip_nat_ftp into /etc/sysconfig/iptable-config
3. Restart iptables
4. Connect to the ftp server from a remote machine
  
Actual results using kernel-2.6.18-274.3.1.el5:

220 (vsFTPd 2.0.5)
user USERNAME
331 Please specify the password.
pass PASSWORD
230 Login successful.
type i
200 Switching to Binary mode.
pasv
Error: Connection timed out
Error: Failed to retrieve directory listing

Expected results (when downgrading kernel to 2.6.18-238.el5):

220 (vsFTPd 2.0.5)
user USERNAME
331 Please specify the password.
pass PASSWORD
230 Login successful.
type i
200 Switching to Binary mode.
pasv
227 Entering Passive Mode (192,168,1,6,115,196)

Additional info:
This issue seems introduced by RHSA-2011-1065 kernel update (RHBZ#642388 fix)

[1] http://rhn.redhat.com/errata/RHSA-2011-1065.html
[2] https://bugzilla.redhat.com/show_bug.cgi?id=642388

Comment 1 RHEL Product and Program Management 2014-03-07 12:15:02 UTC
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.

Comment 2 RHEL Product and Program Management 2014-06-02 13:03:37 UTC
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Comment 3 Othman Madjoudj 2015-02-09 16:09:45 UTC
Removing NEEDINFO, please check CentOS bug tracker for more infos.


Note You need to log in before you can comment on or make changes to this bug.